petsc-3.12.4 2020-02-04
Report Typos and Errors

# KSPGetType

Gets the KSP type as a string from the KSP object.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGetType(KSP ksp,KSPType *type)

Not Collective

### Input Parameter

ksp -Krylov context

### Output Parameter

name -name of KSP method

### See Also

KSPSetType()

### Level

intermediate

### Location

src/ksp/ksp/interface/itcreate.c

### Examples

src/ksp/ksp/examples/tutorials/ex27.c.html
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages